Package org.sonatype.maven.polyglot.execute

# Interface ExecuteManager

All Known Implementing Classes:
  `ExecuteManagerImpl`

public interface ExecuteManager
Manages `ExecuteTask`s for a project.

Since:
  0.7
Author:
  Jason Dillon

## Method Summary

Modifier and Type
Method
Description
`List<ExecuteTask>`
`getTasks(org.apache.maven.model.Model model)`
`void`
`install(org.apache.maven.model.Model model)`
`void`
`register(org.apache.maven.model.Model model, List<ExecuteTask> tasks)`

## Method Details

### register

void register(org.apache.maven.model.Model model, List<ExecuteTask> tasks)

### getTasks

List<ExecuteTask> getTasks(org.apache.maven.model.Model model)

### install

void install(org.apache.maven.model.Model model)